/* Flotiong field */
/* ============================================input Field Floating css */
/* Make the field a flex-container, reverse the order so label is on top.
*/

.field {
  position: relative;
}

/**
  * Add a transition to the label and input.
  * I'm not even sure that touch-action: manipulation works on
  * inputs, but hey, it's new and cool and could remove the 
  * pesky delay.
  */
label,
input {
  transition: all 0.2s;
  touch-action: manipulation;
}

input {

  border: 0;
  border: 0.5px solid #1F332E;
  font-family: 'Inter';
  -webkit-appearance: none;
  border-radius: 4px;
  padding: 18px 20px;
  cursor: text;

}

input:focus {
  outline: 0;

  border: 0.5px solid #007354;
  border-radius: 8px;
}


/**
  * Translate down and scale the label up to cover the placeholder,
  * when following an input (with placeholder-shown support).
  * Also make sure the label is only on one row, at max 2/3rds of the
  * field—to make sure it scales properly and doesn't wrap.
  */
input:placeholder-shown+label {
  cursor: text;
  max-width: 66.66%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transform-origin: left bottom;
  transform: translate(0, 3.1rem) scale(1);
  margin-left: 30px;
  border-radius: 8px;
  /* font-size: 14px; */
  color: #1F332EE0;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  position: absolute;
  left: 0;
  bottom: 76px;

}


/**
  * By default, the placeholder should be transparent. Also, it should 
  * inherit the transition.
  */
.field input::-webkit-input-placeholder {
  opacity: 0;
  transition: inherit;
}

/**
  * Show the placeholder when the input is focused.
  */
.field input:focus::-webkit-input-placeholder {
  opacity: 0.25;

}

/**
  * When the element is focused, remove the label transform.
  * Also, do this when the placeholder is _not_ shown, i.e. when 
* there's something in the input at all.
*/

input:not(:placeholder-shown)+label,
input:focus+label {
  transform: translate(0, 0) scale(1);
  cursor: pointer;
  background: linear-gradient(to top, #ffffff 60%, transparent 40%);
  padding: 0px 4px;
  position: absolute;
  left: 12px;
  bottom: 50px;
  margin-left: 12px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: 500;
  line-height: 24px;
}

input.parsley-error+label,
input:focus {
  color: #1B1B1ECC !important;
}

input:not(:placeholder-shown)+label {
  transform: translate(0, 0) scale(1);
  cursor: pointer;
  /* left: 0; */
}

.lable_spanbg {
  padding: 0px 4px;
}

input:placeholder-shown+label :focus {
  position: absolute;
  left: 12px;
}

input:focus+label {
  color: #007354 !important;
}

input.parsley-error:focus+label {
  color: red !important;
}

.lableSty {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  display: flex;
  align-items: center;
  color: #1F332E99;
}

.inputparent_marg {
  padding: 10px
}
/* MM */
/* Change the white to any color */
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}
@-webkit-keyframes autofill {
  0%,100% {
      color: #666;
      background: transparent;
  }
}

input:-webkit-autofill {
  -webkit-animation-delay: 1s; /* Safari support - any positive time runs instantly */
  -webkit-animation-name: autofill;
  -webkit-animation-fill-mode: both;
}

@media only screen and (max-width: 767px) {
  .inputparent_marg {
    padding: 8px 0px;
  }

  input:placeholder-shown+label {
    margin-left: 16px;
  }

  input:not(:placeholder-shown)+label,
  input:focus+label {
    transform: translate(0, 0) scale(1);
    cursor: pointer;
    background: linear-gradient(to top, #ffffff 60%, transparent 40%);
    padding: 0px 4px;
    position: absolute;
    left:0px;
    bottom: 50px;
    margin-left: 12px;
  }
}

/* @media only screen and (max-width: 1024px) {
  
  input:focus+label {
    transform: translate(0, 0) scale(1);
    cursor: pointer;
    background: linear-gradient(to top, #ffffff 60%, transparent 40%);
    padding: 0px 4px;
    position: absolute;
    left: 12px;
    bottom: 50px;
  }
} */

/* 
@media only screen and (max-width: 425px) {
  input {
    padding: 13px 20px;
  }

  input:placeholder-shown+label {
    bottom: 74px;
  }

  input:not(:placeholder-shown)+label,
  input:focus+label {
    bottom: 52px;
  }

  input:placeholder-shown+label {
    transform: translate(1, 2rem) scale(1);
  }

  .inputparent_marg {
    padding: 8px 0px;
  }

  input:placeholder-shown+label {
    margin-left: 8px 0px;
  }

  input:focus+label {
    margin-left: 0px !important;
  }

  input:placeholder-shown+label {
    margin-left: 20px;
  }

  input:placeholder-shown:focus+label {
    margin-left: 12px;
  }

  .AddPadingCircleArrow {
    padding: 0px 0px 0px 0px;
  }
} */

/* @media only screen and (max-width: 375px) {

  input:placeholder-shown+label {
    bottom: 71px;
  }

  input:not(:placeholder-shown)+label,
  input:focus+label {
    bottom: 50px;
  }

} */